import fr.l2f.util.*;
import fr.l2f.gui.*;

import java.awt.*;
import java.awt.event.*;

public class ChartPanel extends Panel implements ActionListener {
  private String[] yearX = {"1994", "1995", "1996", "1997", "1998" };
  private int yearY[] = { 10, 244, 305, 100, 50};
  private DataSet yx;
  private Graph graph;

  private Button bar3D, bar, line, point, pie, pie3D;

  public ChartPanel() {
    setLayout(new BorderLayout());
    init();
  }

	public Dimension getPreferredSize() {	return new Dimension(400,300); }
	public Dimension getMinimumSize() {	return new Dimension(400,300); }

  public void init() {
    yx = new DataSet(false);
    yx.setData(yearX);
    graph = new Graph(yx.getData(), (new DataSet(yearY)).getData(), Graph.LINE);
    graph.setBackground(Color.white);
    graph.setFont(new Font("Dialog", Font.BOLD, 20));
    Panel buttons = new Panel();
    buttons.setLayout(new FlowLayout(FlowLayout.CENTER));
    buttons.add(new Shade(line = new Button("LINE ")));
    buttons.add(new Shade(point= new Button("POINT")));
    buttons.add(new Shade(bar  = new Button(" BAR ")));
    buttons.add(new Shade(bar3D= new Button("BAR3D")));
    buttons.add(new Shade(pie  = new Button("PIE")));
    buttons.add(new Shade(pie3D= new Button("PIE3D")));

    add("South", buttons);
    add("Center", graph);

    line.addActionListener(this);
    point.addActionListener(this);
    bar.addActionListener(this);
    bar3D.addActionListener(this);
    pie.addActionListener(this);
    pie3D.addActionListener(this);
  }

  public void actionPerformed(ActionEvent event) {
    Object o = event.getSource();
    if (o == line)
      graph.setStyle(Graph.LINE);
    else if (o == point)
      graph.setStyle(Graph.POINT);
    else if (o == bar)
      graph.setStyle(Graph.BAR);
    else if (o == bar3D)
      graph.setStyle(Graph.BAR3D);
    else if (o == pie)
      graph.setStyle(Graph.PIE);
    else if (o == pie3D)
      graph.setStyle(Graph.PIE3D);
  }
}

