import java.awt.*;
import java.awt.event.*;
import fr.l2f.gui.*;
import fr.l2f.util.*;

public class L2FDemo extends Frame {

  FolderTabPanel tabs    = new FolderTabPanel();
  WelcomePanel   welcome = new WelcomePanel();
  ChartPanel     chart   = new ChartPanel();
  ToolBarPanel   toolbar = new ToolBarPanel();
  SplitterPanel  split   = new SplitterPanel();
  GroupPanel     group   = new GroupPanel();
  OtherPanel     other   = new OtherPanel();
  
  protected StatusBar status = new StatusBar();
  
  L2FDemo() {
    setTitle("Package fr.l2f Demo");
    setBackground(new Color(192, 192, 192));
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent event) {
	System.exit(0);
      }
    });
    init();
    setSize(500,400);
    Misc.center(this);
  }
  
  public void init() {
    // Create a console
    IO.makeConsole();
    IO.showConsole();
    
    setLayout(new BorderLayout());	
    
    // Add demos panels to the FolderTabPanel
    tabs.setTabHeight(24);
    tabs.addPanel(welcome, "Welcome");
    tabs.addPanel(chart, "Chart", getToolkit().getImage("images/chart.gif"));
    tabs.addPanel(toolbar, "ToolBar", getToolkit().getImage("images/toolbar.gif"));
    tabs.addPanel(split, "Split", getToolkit().getImage("images/split.gif"));
    tabs.addPanel(group, "Group");
    tabs.addPanel(other, "Other");
    
    status.setMessage("Package fr.l2f   (c) 1997, L2F Productions / Frederic Lavigne", null);
    
    add("Center", tabs);
    add("South", status);
    
    IO.println("Package fr.l2f  \n(c) 1997, L2F Productions / Frederic Lavigne\n\n");
    IO.println("This is the Console window.");
    IO.println("Send your output message to this window.");
    IO.println("Useful in operating system without command line like MacOS");
  }

  public void showSize(Component c) {
    IO.println(c.getSize().width + " x " + c.getSize().height);
  }
  
  public static void main(String[] args) {
    (new SplashScreen(Toolkit.getDefaultToolkit().getImage("images/packages.jpg"),350,232,2000)).show();
    (new L2FDemo()).setVisible(true);
  }
}
